# Changelog

## [integrations/opensearch-v1.0.0] - 2024-09-12

### 📚 Documentation

- Update opensearch retriever docstrings (#1035)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- OpenSearch - remove legacy filter support (#1067)

### Docs

- Update BM25 docstrings (#945)

## [integrations/opensearch-v0.9.0] - 2024-08-01

### 🚀 Features

- Support aws authentication with OpenSearchDocumentStore (#920)

## [integrations/opensearch-v0.8.1] - 2024-07-15

### 🚀 Features

- Add raise_on_failure param to OpenSearch retrievers (#852)
- Add filter_policy to opensearch integration (#822)

### 🐛 Bug Fixes

- `OpenSearch` - Fallback to default filter policy when deserializing retrievers without the init parameter (#895)

### ⚙️ Miscellaneous Tasks

- Update ruff invocation to include check parameter (#853)

## [integrations/opensearch-v0.7.1] - 2024-06-27

### 🐛 Bug Fixes

- Serialization for custom_query in OpenSearch retrievers (#851)
- Support legacy filters with OpenSearchDocumentStore (#850)

## [integrations/opensearch-v0.7.0] - 2024-06-25

### 🚀 Features

- Defer the database connection to when it's needed (#753)
- Improve `OpenSearchDocumentStore.__init__` arguments (#739)
- Return_embeddings flag for opensearch (#784)
- Add create_index option to OpenSearchDocumentStore (#840)
- Add custom_query param to OpenSearch retrievers (#841)

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme

### 📚 Documentation

- Update category slug (#442)
- Fixing opensearch docstrings (#521)
- Small consistency improvements (#536)
- Disable-class-def (#556)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)

### Opensearch

- Generate API docs (#324)

## [integrations/opensearch-v0.2.0] - 2024-01-17

### 🐛 Bug Fixes

- Fix links in docstrings (#188)



### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

## [integrations/opensearch-v0.1.1] - 2023-12-05

### 🐛 Bug Fixes

- Fix import and increase version (#77)



## [integrations/opensearch-v0.1.0] - 2023-12-04

### 🐛 Bug Fixes

- Fix license headers


## [integrations/opensearch-v0.0.2] - 2023-11-30

### 🚀 Features

- Extend OpenSearch params support (#70)

### Build

- Bump OpenSearch integration version to 0.0.2 (#71)

## [integrations/opensearch-v0.0.1] - 2023-11-30

### 🚀 Features

- [OpenSearch] add document store, BM25Retriever and EmbeddingRetriever (#68)

<!-- generated by git-cliff -->
